Skip to main content
POST
Fetch Analysis (constant sum)

Description

Get analysis data from constant sum responses in a project.

Payload

where:
  • fromDate: Starting date to filter responses.
  • toDate: End date to filter responses.
  • filter: List of filters to apply to the constant sum answers.
  • groups: Ids of concept tests to group the answers.

Response

200 OK

where:
  • dateFilters: Start and end date filters applied to the data.
  • fromDate: Starting date to filter responses.
  • toDate: End date to filter responses.
  • filter: List of filters used to apply to the constant sum answers.
  • projectId: Id of the project this analysis belongs to.
  • responses: An object with the responses analysis for each constant sum question inside the project indexed by its questionId prefixed with letter q associated with another object. This object is indexed by question row position associated to an object with the following structure:
Where:
  • mean: Mean of all values entered for this question.
  • median: Median of all values entered for this question.
  • mode: Mode of all values entered for this question.
  • responses: Total amount of responses entered for this question.
  • standardDeviation: Standard deviation of all values entered for this question.
  • variance: Variance of all values entered for this question.
All frecuency values are an array of the corresponding frecuency type for each value entered for this question.

401 Unauthorized

Invalid authorization.

404 Not Found

Resource not found.

500 Internal Server Error

Error occurred in the service.
Query Parameters

Authorizations

Authorization
string
header
required

Access token obtained from the m2m-token endpoint.

Headers

Authorization
string
required

Authorization token

Query Parameters

projectId
string

Body

application/json

The body is of type object.

Response

Fetch Analysis

The response is of type object.